package adminkindboxhandler

import (
	adminauthorizationservice "git.gocasts.ir/ebhomengo/niki/service/admin/authorization"
	adminkindboxservice "git.gocasts.ir/ebhomengo/niki/service/admin/kind_box"
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	"git.gocasts.ir/ebhomengo/niki/service/notification"
)

type Handler struct {
	authSvc           authservice.Service
	adminKindBoxSvc   adminkindboxservice.Service
	adminAuthorizeSvc adminauthorizationservice.Service
	notificationSvc   notification.Service
}

func New(authSvc authservice.Service,
	adminKindBoxSvc adminkindboxservice.Service,
	adminAuthorizeSvc adminauthorizationservice.Service,
	notificationSvc notification.Service,
) Handler {
	return Handler{
		authSvc:           authSvc,
		adminKindBoxSvc:   adminKindBoxSvc,
		adminAuthorizeSvc: adminAuthorizeSvc,
		notificationSvc:   notificationSvc,
	}
}
